<?php
declare(strict_types=1);

namespace App\Enum\Organization;

use MyCLabs\Enum\Enum;

/**
 * Type de produit disponible pour une organisation
 * @method static SCHOOL()
 * @method static ARTIST()
 * @method static MANAGER()
 * @method static MANAGER_PREMIUM()
 * @method static ARTIST_PREMIUM()
 * @method static SCHOOL_PREMIUM()
 */
class SettingsProductEnum extends Enum
{
    private const ARTIST = 'artist';
    private const ARTIST_PREMIUM = 'artist-premium';
    private const SCHOOL = 'school';
    private const SCHOOL_PREMIUM = 'school-premium';
    private const MANAGER = 'manager';
    private const MANAGER_PREMIUM = 'manager-premium';

    public static function isArtist(string $product): bool {
        return $product === self::ARTIST || $product === self::ARTIST_PREMIUM;
    }

    public static function isSchool(string $product): bool {
        return $product === self::SCHOOL || $product === self::SCHOOL_PREMIUM;
    }

    public static function isManager(string $product): bool {
        return $product === self::MANAGER || $product === self::MANAGER_PREMIUM;
    }
}
